
#include "SFCodeNative.h"
#include "SFGameNative.h"
#include <stdio.h>
#include <sys/types.h>
#include <android/log.h>
#include <stdlib.h>

#define  LOG(...)   __android_log_print(ANDROID_LOG_INFO, "sfnewbee", ##__VA_ARGS__);


JNIEXPORT void JNICALL Java_com_cn_nw_a_a_n_LocalCode_initNative(
		 JNIEnv * env, jclass self) {
	 SFGameNative::init(env);
 }
/*
 * Class:     com_snowfish_register_newbee_SFCode
 * Method:    onFailed
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_com_cn_nw_a_a_n_LocalCode_onFailed
  (JNIEnv * env, jclass self, jstring jremain){
     if(SFGameNative::mSFIPayResulBack != 0){
    	 const char* codestr = env->GetStringUTFChars(jremain, 0);
    	 SFGameNative::mSFIPayResulBack->onFailed(codestr);
     }
}

/*
 * Class:     com_snowfish_register_newbee_SFCode
 * Method:    onSuccess
 * Signature: (Ljava/lang/String;)V
 */
JNIEXPORT void JNICALL Java_com_cn_nw_a_a_n_LocalCode_onSuccess
  (JNIEnv * env, jclass self, jstring jremain){
	 if(SFGameNative::mSFIPayResulBack != 0){
	    	 const char* codestr = env->GetStringUTFChars(jremain, 0);
	    	 SFGameNative::mSFIPayResulBack->onSuccess(codestr);
	 }
}

char s_localClsName[256] = "com/cn/nw/a/a/n/LocalCode";
char s_unityClsName[256] = "com/cn/nw/a/a/n/UnityCode";

void copyChar(char* src, char* des) {
    int len = strlen(src);
	if (len > 256)
		len = 256;
	memcpy(des, src, len);
	des[len] = 0;
}

void setLocalClassName(char* cls) {
	copyChar(cls, s_localClsName);
}

void setUnityClassName(char* cls) {
	copyChar(cls, s_unityClsName);
}


