

#ifndef SFNEWBEEGAMENATIVEINTERFACE_H_
#define SFNEWBEEGAMENATIVEINTERFACE_H_

#include <sys/types.h>


class SFNewBeeNativeIPayResulBack {
public:
	SFNewBeeNativeIPayResulBack() {};
	virtual ~SFNewBeeNativeIPayResulBack() {};
	virtual void onFailed(const char* code) = 0;
	virtual void onSuccess(const char* code) = 0;
};


//==================================
class SFNewBeeNativeInitResulBack {
public:
	SFNewBeeNativeInitResulBack() {};
	virtual ~SFNewBeeNativeInitResulBack() {};
	virtual void onFailed(const char* code) = 0;
	virtual void onSuccess(const char* code) = 0;
};





typedef void (SEL_CodeFun)(int result, const char* orderId, const char* payPoint,
		int price, const char* remain);

class SFNewBeeGameNativeInterface {
public:
	static void setSFNewBeeIPayResulBack(SFNewBeeNativeIPayResulBack* payCallBack);


	//===========================
	static void setSFNewBeeInitResulBack(SFNewBeeNativeInitResulBack* initCallBack);

	static void cmd(const char* id);

	static void cmdcge(const char* price, const char* chargeDesc);

	const static char* getValue(const char* key, const char* defaultValue);
};

#endif /* SFNEWBEEGAMENATIVEINTERFACE_H_ */
